Bug 124218 - evolution 1.5.[78] does not compile on x86_64
evolution 1.5.[78] does not compile on x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 15:55 EDT by Tom Duffy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-08 14:23:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
quick fix to get evolutoin to build on x86_64 (806 bytes, text/plain)
2004-05-24 18:35 EDT, Tom Duffy
no flags Details

  None (edit)
Description Tom Duffy 2004-05-24 15:55:17 EDT
Description of problem:

rpmbuild -ba evolution.spec fails

Version-Release number of selected component (if applicable):

1.5.8

How reproducible:

always

Steps to Reproduce:
1. you must build and install all the dependences for evolution 1.5.8,
namely gtkhtml3-3.1.14-2, libgal2-2.1.9-2, libsoup-2.1.10-2, and
evolution-data-server-0.0.93-3 (and all the devels of these)
2. rpmbuild -ba evolution.spec
3. get the following failure:

gcc -O2 -g -pipe -fPIC -I/usr/include/et -Wall -Wmissing-prototypes
-Wno-sign-compare -o .libs/test-calendar test-calendar.o
-Wl,--export-dynamic  ./.libs/libemiscwidgets.so
/usr/src/redhat/BUILD/evolution-1.5.8/e-util/.libs/libeutil.so
-L/usr/X11R6/lib64 -L/usr/lib
/usr/src/redhat/BUILD/evolution-1.5.8/a11y/widgets/.libs/libevolution-widgets-a11y.so
/usr/src/redhat/BUILD/evolution-1.5.8/a11y/.libs/libevolution-a11y.so
-ledataserver ../../e-util/.libs/libeutil.so /usr/lib64/libpopt.so
-lplc4 -lplds4 -lnspr4 -pthread -lgnomeui-2 -lSM -lICE -lbonoboui-2
-lgnome-2 /usr/lib/libpopt.so -lbonobo-2 -lgnomevfs-2
-lbonobo-activation -lgconf-2 -lORBit-2 -lgthread-2.0 -lgal-2.2
-lgal-a11y-2.2 -lgnomecanvas-2 -lglade-2.0 -lgnomeprint-2-2
-lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0
-lpangoxft-1.0 -lpangox-1.0 -lart_lgpl_2 /usr/lib64/libxml2.so
-lpthread -lz -lm -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl
-lglib-2.0 -Wl,--rpath -Wl,/usr/lib64/evolution/1.5 -Wl,--rpath
-Wl,/usr/lib
/usr/lib/libpopt.so: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[4]: *** [test-calendar] Error 1
make[4]: Leaving directory
`/usr/src/redhat/BUILD/evolution-1.5.8/widgets/misc'
make[3]: *** [all] Error 2
make[3]: Leaving directory
`/usr/src/redhat/BUILD/evolution-1.5.8/widgets/misc'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/evolution-1.5.8/widgets'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/evolution-1.5.8'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.47317 (%build)
 
 
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.47317 (%build)
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom Duffy 2004-05-24 18:35:29 EDT
Created attachment 100524 [details]
quick fix to get evolutoin to build on x86_64

This patch to the spec file fixed it for me to build on x86_64. Obviously this
is not a good fix for i386, but I am not a spec-master and figured you could
make it more generic.
Comment 2 Dave Malcolm 2004-06-08 14:23:08 EDT
I've applied a %{_libdir} version of the patch (1.5.9.1 release 3)

Thanks

Note You need to log in before you can comment on or make changes to this bug.